Bug 1047884 - NPE in server.log during simulation of process with Intermediate Events
Summary: NPE in server.log during simulation of process with Intermediate Events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR1
: 6.0.0
Assignee: Maciej Swiderski
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-02 13:28 UTC by Sona Mala
Modified: 2014-08-06 20:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:10:23 UTC
Type: Bug


Attachments (Terms of Use)
BPMN2 definition (23.23 KB, application/xml)
2014-01-02 13:28 UTC, Sona Mala
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1057031 0 high CLOSED Simulation: Unexpected result for process which contains Intermediate Events without name 2021-02-22 00:41:40 UTC

Internal Links: 1057031

Description Sona Mala 2014-01-02 13:28:36 UTC
Created attachment 844555 [details]
BPMN2 definition

Description of problem:
When I simulate the attached process then I get NPE in server.log and simulation engine failed with an alert "Simulation engine did not return results: No Content".

Same process is able to run through Business Central.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER7

How reproducible:


Steps to Reproduce:
1. import the attached process
2. run simulation

Actual results:
Exception in server.log and alert "Simulation engine did not return results: No Content". Validation is ok, process is able to build, deploy and run in Business Central.


Expected results:
Simulation engine returns results, because this process is valid.
All instancies of process execute tasks in this order a - b - c.

Additional info:
This bug is related with https://bugzilla.redhat.com/show_bug.cgi?id=1015453

Error in server.log:
14:17:48,901 INFO  [com.ning.http.client.providers.netty.NettyAsyncHttpProvider] (pool-23-thread-1) Number of application's worked threads is 8
14:17:49,688 INFO  [org.drools.compiler.kie.builder.impl.KieRepositoryImpl] (http-localhost/127.0.0.1:8080-3) KieModule was added:MemoryKieModule[ ReleaseId=org.default:artifact:1.0.0-SNAPSHOT]
14:17:49,689 ERROR [org.jbpm.designer.web.server.SimulationServlet] (http-localhost/127.0.0.1:8080-3) Error during simulation: java.lang.NullPointerException
	at org.drools.simulation.impl.Simulator.executeNextStep(Simulator.java:117) [drools-simulator-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at org.drools.simulation.impl.Simulator.run(Simulator.java:111) [drools-simulator-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at org.drools.simulation.fluent.simulation.impl.DefaultSimulationFluent.runSimulation(DefaultSimulationFluent.java:184) [drools-simulator-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at org.drools.simulation.fluent.simulation.impl.DefaultSimulationFluent.runSimulation(DefaultSimulationFluent.java:179) [drools-simulator-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at org.jbpm.simulation.SimulationRunner.runSimulation(SimulationRunner.java:105) [jbpm-simulation-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at org.jbpm.simulation.SimulationRunner.runSimulation(SimulationRunner.java:50) [jbpm-simulation-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at org.jbpm.designer.web.server.SimulationServlet.doPost(SimulationServlet.java:173) [jbpm-designer-backend-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:754) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.exception.CatchExceptionFilter.doFilter(CatchExceptionFilter.java:65) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.solder.servlet.event.ServletEventBridgeFilter.doFilter(ServletEventBridgeFilter.java:74) [solder-impl-3.2.1.Final.jar:3.2.1.Final]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jbpm.designer.web.filter.impl.PluggableFilter.doFilter(PluggableFilter.java:70) [jbpm-designer-backend-6.0.1-redhat-2.jar:6.0.1-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.uberfire.security.server.UberFireSecurityFilter.doFilter(UberFireSecurityFilter.java:266) [uberfire-security-server-0.3.1-redhat-2.jar:0.3.1-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:407) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:408) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:679) [rt.jar:1.6.0_24]

Comment 1 Maciej Swiderski 2014-01-07 18:40:28 UTC
problem was actually with path finder component that was not properly recognizing linked signal events.

droolsjbpm-integration
master:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/96aae6b8269f536a5b91ae4038a7357856d86d07

6.0.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/171f6e38304630bfebab1a095637d8b3b27ef1cb

Comment 2 Sona Mala 2014-01-23 10:14:43 UTC
I verify for CR1 6.0.0 BPMS that simulation return results for attached process and no errors are in server.log.

Unfortunately, the results are unexpected. The Path results are correct (all nodes are marked), but there are problem with # of instances. I will create a bugzilla issue.

Comment 3 Maciej Swiderski 2014-01-23 10:50:42 UTC
Sona,

could you please check if the events have names assigned? If not could you please give them names and run the simulation to see if the results are more adequate?

Thanks

Comment 4 Sona Mala 2014-01-23 14:45:48 UTC
Yes, that it is.

Comment 5 Maciej Swiderski 2014-01-23 14:57:39 UTC
thanks for confirmation.


Note You need to log in before you can comment on or make changes to this bug.